#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 ghc-lib-parser
version:              9.2.8.20230729
visibility:           public
id:                   ghc-lib-parser-9.2.8.20230729-6yzmbZWPLh1ApSJzIn9d5
key:                  ghc-lib-parser-9.2.8.20230729-6yzmbZWPLh1ApSJzIn9d5
license:              BSD-3-Clause
maintainer:           Digital Asset
author:               The GHC Team and Digital Asset
homepage:             https://github.com/digital-asset/ghc-lib
synopsis:             The GHC API, decoupled from GHC versions
description:
    A package equivalent to the @ghc@ package, but which can be loaded on many compiler versions.

category:             Development
abi:                  2876ac8aae6a5af40c95a4e686c54944
exposed-modules:
    GHC.BaseDir GHC.Builtin.Names GHC.Builtin.PrimOps GHC.Builtin.Types
    GHC.Builtin.Types.Prim GHC.Builtin.Uniques GHC.ByteCode.Types
    GHC.Cmm GHC.Cmm.BlockId GHC.Cmm.CLabel GHC.Cmm.Dataflow.Block
    GHC.Cmm.Dataflow.Collections GHC.Cmm.Dataflow.Graph
    GHC.Cmm.Dataflow.Label GHC.Cmm.Expr GHC.Cmm.MachOp GHC.Cmm.Node
    GHC.Cmm.Switch GHC.Cmm.Type GHC.CmmToAsm.CFG.Weight
    GHC.CmmToAsm.Config GHC.Core GHC.Core.Class GHC.Core.Coercion
    GHC.Core.Coercion.Axiom GHC.Core.Coercion.Opt GHC.Core.ConLike
    GHC.Core.DataCon GHC.Core.FVs GHC.Core.FamInstEnv GHC.Core.InstEnv
    GHC.Core.Lint GHC.Core.Make GHC.Core.Map.Type GHC.Core.Multiplicity
    GHC.Core.Opt.Arity GHC.Core.Opt.CallerCC GHC.Core.Opt.ConstantFold
    GHC.Core.Opt.Monad GHC.Core.Opt.OccurAnal GHC.Core.PatSyn
    GHC.Core.Ppr GHC.Core.Predicate GHC.Core.Seq GHC.Core.SimpleOpt
    GHC.Core.Stats GHC.Core.Subst GHC.Core.TyCo.FVs GHC.Core.TyCo.Ppr
    GHC.Core.TyCo.Rep GHC.Core.TyCo.Subst GHC.Core.TyCo.Tidy
    GHC.Core.TyCon GHC.Core.TyCon.Env GHC.Core.TyCon.RecWalk
    GHC.Core.Type GHC.Core.Unfold GHC.Core.Unfold.Make GHC.Core.Unify
    GHC.Core.UsageEnv GHC.Core.Utils GHC.CoreToIface GHC.Data.Bag
    GHC.Data.BooleanFormula GHC.Data.EnumSet GHC.Data.FastMutInt
    GHC.Data.FastString GHC.Data.FastString.Env GHC.Data.FiniteMap
    GHC.Data.Graph.Directed GHC.Data.IOEnv GHC.Data.List.SetOps
    GHC.Data.Maybe GHC.Data.OrdList GHC.Data.Pair GHC.Data.ShortText
    GHC.Data.SizedSeq GHC.Data.Stream GHC.Data.StringBuffer
    GHC.Data.TrieMap GHC.Driver.Backend GHC.Driver.Backpack.Syntax
    GHC.Driver.CmdLine GHC.Driver.Config GHC.Driver.Env
    GHC.Driver.Env.Types GHC.Driver.Errors GHC.Driver.Flags
    GHC.Driver.Hooks GHC.Driver.Monad GHC.Driver.Phases
    GHC.Driver.Pipeline.Monad GHC.Driver.Plugins GHC.Driver.Ppr
    GHC.Driver.Session GHC.Exts.Heap GHC.Exts.Heap.ClosureTypes
    GHC.Exts.Heap.Closures GHC.Exts.Heap.Constants
    GHC.Exts.Heap.FFIClosures
    GHC.Exts.Heap.FFIClosures_ProfilingDisabled
    GHC.Exts.Heap.FFIClosures_ProfilingEnabled GHC.Exts.Heap.InfoTable
    GHC.Exts.Heap.InfoTable.Types GHC.Exts.Heap.InfoTableProf
    GHC.Exts.Heap.ProfInfo.PeekProfInfo
    GHC.Exts.Heap.ProfInfo.PeekProfInfo_ProfilingDisabled
    GHC.Exts.Heap.ProfInfo.PeekProfInfo_ProfilingEnabled
    GHC.Exts.Heap.ProfInfo.Types GHC.Exts.Heap.Utils GHC.ForeignSrcLang
    GHC.ForeignSrcLang.Type GHC.Hs GHC.Hs.Binds GHC.Hs.Decls GHC.Hs.Doc
    GHC.Hs.Dump GHC.Hs.Expr GHC.Hs.Extension GHC.Hs.ImpExp
    GHC.Hs.Instances GHC.Hs.Lit GHC.Hs.Pat GHC.Hs.Type GHC.Hs.Utils
    GHC.Iface.Ext.Fields GHC.Iface.Recomp.Binary GHC.Iface.Syntax
    GHC.Iface.Type GHC.LanguageExtensions GHC.LanguageExtensions.Type
    GHC.Lexeme GHC.Linker.Types GHC.Parser GHC.Parser.Annotation
    GHC.Parser.CharClass GHC.Parser.Errors GHC.Parser.Errors.Ppr
    GHC.Parser.Header GHC.Parser.Lexer GHC.Parser.PostProcess
    GHC.Parser.PostProcess.Haddock GHC.Parser.Types GHC.Platform
    GHC.Platform.AArch64 GHC.Platform.ARM GHC.Platform.ArchOS
    GHC.Platform.Constants GHC.Platform.NoRegs GHC.Platform.PPC
    GHC.Platform.Profile GHC.Platform.RISCV64 GHC.Platform.Reg
    GHC.Platform.Reg.Class GHC.Platform.Regs GHC.Platform.S390X
    GHC.Platform.SPARC GHC.Platform.Ways GHC.Platform.X86
    GHC.Platform.X86_64 GHC.Prelude GHC.Runtime.Context
    GHC.Runtime.Eval.Types GHC.Runtime.Heap.Layout
    GHC.Runtime.Interpreter.Types GHC.Serialized GHC.Settings
    GHC.Settings.Config GHC.Settings.Constants GHC.Stg.Syntax
    GHC.StgToCmm.Types GHC.SysTools.BaseDir GHC.SysTools.Terminal
    GHC.Tc.Errors.Hole.FitTypes GHC.Tc.Types GHC.Tc.Types.Constraint
    GHC.Tc.Types.Evidence GHC.Tc.Types.Origin GHC.Tc.Utils.TcType
    GHC.Types.Annotations GHC.Types.Avail GHC.Types.Basic
    GHC.Types.CompleteMatch GHC.Types.CostCentre
    GHC.Types.CostCentre.State GHC.Types.Cpr GHC.Types.Demand
    GHC.Types.Error GHC.Types.FieldLabel GHC.Types.Fixity
    GHC.Types.Fixity.Env GHC.Types.ForeignCall GHC.Types.ForeignStubs
    GHC.Types.HpcInfo GHC.Types.IPE GHC.Types.Id GHC.Types.Id.Info
    GHC.Types.Id.Make GHC.Types.Literal GHC.Types.Meta GHC.Types.Name
    GHC.Types.Name.Cache GHC.Types.Name.Env GHC.Types.Name.Occurrence
    GHC.Types.Name.Ppr GHC.Types.Name.Reader GHC.Types.Name.Set
    GHC.Types.RepType GHC.Types.SafeHaskell GHC.Types.SourceError
    GHC.Types.SourceFile GHC.Types.SourceText GHC.Types.SrcLoc
    GHC.Types.Target GHC.Types.Tickish GHC.Types.TyThing
    GHC.Types.TypeEnv GHC.Types.Unique GHC.Types.Unique.DFM
    GHC.Types.Unique.DSet GHC.Types.Unique.FM GHC.Types.Unique.Map
    GHC.Types.Unique.Set GHC.Types.Unique.Supply GHC.Types.Var
    GHC.Types.Var.Env GHC.Types.Var.Set GHC.UniqueSubdir GHC.Unit
    GHC.Unit.Database GHC.Unit.Env GHC.Unit.External
    GHC.Unit.Finder.Types GHC.Unit.Home GHC.Unit.Home.ModInfo
    GHC.Unit.Info GHC.Unit.Module GHC.Unit.Module.Deps
    GHC.Unit.Module.Env GHC.Unit.Module.Graph GHC.Unit.Module.Imported
    GHC.Unit.Module.Location GHC.Unit.Module.ModDetails
    GHC.Unit.Module.ModGuts GHC.Unit.Module.ModIface
    GHC.Unit.Module.ModSummary GHC.Unit.Module.Name
    GHC.Unit.Module.Status GHC.Unit.Module.Warnings GHC.Unit.Parser
    GHC.Unit.Ppr GHC.Unit.State GHC.Unit.Types GHC.Utils.Binary
    GHC.Utils.Binary.Typeable GHC.Utils.BufHandle GHC.Utils.CliOption
    GHC.Utils.Encoding GHC.Utils.Error GHC.Utils.Exception GHC.Utils.FV
    GHC.Utils.Fingerprint GHC.Utils.GlobalVars GHC.Utils.IO.Unsafe
    GHC.Utils.Json GHC.Utils.Lexeme GHC.Utils.Logger GHC.Utils.Misc
    GHC.Utils.Monad GHC.Utils.Outputable GHC.Utils.Panic
    GHC.Utils.Panic.Plain GHC.Utils.Ppr GHC.Utils.Ppr.Colour
    GHC.Utils.TmpFs GHC.Version GHCi.BreakArray GHCi.FFI GHCi.Message
    GHCi.RemoteTypes GHCi.TH.Binary Language.Haskell.Syntax
    Language.Haskell.Syntax.Binds Language.Haskell.Syntax.Decls
    Language.Haskell.Syntax.Expr Language.Haskell.Syntax.Extension
    Language.Haskell.Syntax.Lit Language.Haskell.Syntax.Pat
    Language.Haskell.Syntax.Type Language.Haskell.TH
    Language.Haskell.TH.LanguageExtensions Language.Haskell.TH.Lib
    Language.Haskell.TH.Lib.Internal Language.Haskell.TH.Lib.Map
    Language.Haskell.TH.Ppr Language.Haskell.TH.PprLib
    Language.Haskell.TH.Syntax

import-dirs:          /usr/lib/ghc-9.2.8/site-local/ghc-lib-parser-9.2.8.20230729
library-dirs:         /usr/lib/ghc-9.2.8/site-local/ghc-lib-parser-9.2.8.20230729
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-ghc-lib-parser
hs-libraries:         HSghc-lib-parser-9.2.8.20230729-6yzmbZWPLh1ApSJzIn9d5
depends:
    array-0.5.4.0 base-4.16.4.0 binary-0.8.9.0 bytestring-0.11.4.0
    containers-0.6.5.1 deepseq-1.4.6.1 directory-1.3.6.2
    exceptions-0.10.4 filepath-1.4.2.2 ghc-prim-0.8.0 parsec-3.1.15.0
    pretty-1.1.3.6 process-1.6.16.0 time-1.11.1.1 transformers-0.5.6.2
    unix-2.7.2.2

haddock-interfaces:
    /usr/share/doc/haskell-ghc-lib-parser/html/ghc-lib-parser.haddock

haddock-html:         /usr/share/doc/haskell-ghc-lib-parser/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

